Name: netams
Version: 3.2.2
Release: alt1

Summary: Network Traffic Accounting and Management Service (NeTAMS)
Summary(ru_RU.KOI8-R): NeTAMS -      .
Summary(ru_RU.CP1251): NeTAMS -      .

License: BSD
Group: Monitoring

Packager: Anton Korbin <ahtoh@altlinux.ru>

Url: http://www.netams.com

Source: %name-%version.tar.gz
#Source1: netams-netamsctl.rc
#Source2: netams-netams.conf
Source3: netams-README.ALT
Source4: netams.initd
#Source5: netams-show
#Source6: netams.cfg
#Source7: NeTAMS-doc.pdf
Source8: netams-Makefile
Source9: netams-logrotate

#Patch1: netams-configure.sh.patch
#Patch2: netams-Makefile.common.patch
Patch3: netams-main.c.patch
#Patch3: netams-man-flowprobe.8.patch
#Patch4: netams-man-netams.8.patch
#Patch5: netams-daemonize.patch
#Patch6: netams-postgresql.patch

#BuildArchitectures:i586

# Automatically added by buildreq on Thu May 06 2004
BuildRequires: gcc-c++ iptables-devel libMySQL-devel libdb1-devel libpcap-devel libpq3-devel libstdc++-devel postgresql-devel zlib-devel

Requires: iptables, telnet

%description
NeTAMS is a Network Traffic Accounting and Monitoring Software.
It collects an IP traffic information flowing via your PC/UNIX or Cisco router,
filters it, aggregates, stores onto HASH/SQL database, and makes SMTP/HTML
reports to site administrator. Anoter features are flexible policy targets,
firewalling, access control, quotas, scheduler and much much more.

%description -l ru_RU.KOI8-R
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%description -l ru_RU.CP1251
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%prep
%setup -q
cp %{SOURCE8} ./Makefile
#%patch1
#%patch2
%patch3
#%patch4
#%patch5
#%patch6
%__chmod -x doc/*

%build
%make_build

%install
%__mkdir_p %buildroot%_sbindir
#%__mkdir_p %buildroot%_docdir/%name-%version/configs
%__mkdir_p %buildroot%_docdir/%name-%version/oracle
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/netams
%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_logdir/netams
#%__mkdir_p %buildroot%_localstatedir/netams
#%__mkdir_p %buildroot%_localstatedir/netams/db
%__mkdir_p %buildroot%_man8dir

%__install -m600 addon/.netamsctl.rc %buildroot%_sysconfdir/.netamsctl.rc
%__install -m600 addon/netams.cfg %buildroot%_sysconfdir/netams/netams.conf
%__install -m644 addon/ru-networks.txt %buildroot%_sysconfdir/ru-networks
%__install -m755 %{SOURCE4} %buildroot%_initdir/netams
%__install -m750 src/netamsctl %buildroot%_sbindir
%__install -m750 src/netams %buildroot%_sbindir
%__install -m750 src/flowprobe %buildroot%_sbindir
%__install -m750 src/ipfw2netflow %buildroot%_sbindir
%__install doc/{flowprobe.8,netams.8,netamsctl.8} %buildroot%_man8dir
%__install -m644 Copyright %buildroot%_docdir/%name-%version/
%__install -m644 INSTALL %buildroot%_docdir/%name-%version/

%__cp doc/TODO.txt %buildroot%_docdir/%name-%version/TODO
%__cp doc/README %buildroot%_docdir/%name-%version/
%__cp addon/mysql_rotate.pl %buildroot%_docdir/%name-%version/
%__cp addon/postgresql_schema.sql %buildroot%_docdir/%name-%version/
%__cp addon/ua-networks-get.sh %buildroot%_docdir/%name-%version/
%__cp addon/oracle/* %buildroot%_docdir/%name-%version/oracle
#%__cp addon/.netamsctl.rc %buildroot%_docdir/%name-%version/
#%__cp doc/{*.gif,*.html} %buildroot%_docdir/%name-%version/
#%__cp doc/*.cfg %buildroot%_docdir/%name-%version/configs/
%__cp %{SOURCE3} %buildroot%_docdir/%name-%version/
%__cp %{SOURCE9} %buildroot%_sysconfdir/logrotate.d/netams
#%__cp -r %{SOURCE5} %buildroot%_docdir/%name-%version/
#%__cp -r %{SOURCE6} %buildroot%_docdir/%name-%version/
#%__cp -r %{SOURCE7} %buildroot%_docdir/%name-%version/

%files
%_sbindir/*
%_initdir/*
%dir%attr(0700,root,root)%_sysconfdir/netams
%config(noreplace)%attr(0600,root,root)%_sysconfdir/.netamsctl.rc
%config(noreplace)%attr(0600,root,root)%_sysconfdir/netams/netams.conf
%attr(0644,root,root)%_sysconfdir/ru-networks
%_sysconfdir/logrotate.d/*
%attr(0750,root,root)%_logdir/netams
%_man8dir/*
#%attr(0750,root,root)%_localstatedir/netams
%_docdir/%name-%version

%post
%post_service netams

%changelog
* Sat Apr 09 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.2-alt1
- New version, add billing system, add log-rotate

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.1-alt1
- New version

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.0-alt1
- New version

* Tue Oct 12 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.2
- Add doc in pdf, netams-README.ALT correct, bugfix with postgres

* Fri Jul 30 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.1
- netams.rc bug fix.

* Sat Jul 03 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1
- Included are HTML files permission patch and new russian network prefix table.

* Thu May 13 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1.1
- Fix changelog problem

* Tue Apr 06 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1
- First build for ALTLinux Sisyphus

